org.apache.commons.jexl.util

## Class BooleanPropertyExecutor

- java.lang.Object
- - org.apache.commons.jexl.util.AbstractExecutor
  - - org.apache.commons.jexl.util.PropertyExecutor
    - - org.apache.commons.jexl.util.BooleanPropertyExecutor

    public class BooleanPropertyExecutor
    extends PropertyExecutor

Handles discovery and valuation of a boolean object property, of the form public boolean is<Property> when executed. We do this separately as to preserve the current quasi-broken semantics of get <as is property> get<flip 1st char> get("property") and now followed by is<Property>.

Since:
  1.0
Version:
  $Id: BooleanPropertyExecutor.java 584046 2007-10-12 05:14:37Z proyal $
Author:
  Geir Magnusson Jr.

### Field Summary

### Fields inherited from class org.apache.commons.jexl.util.PropertyExecutor

`introspector, methodUsed`

### Fields inherited from class org.apache.commons.jexl.util.AbstractExecutor

`method, rlog`

### Constructor Summary

Constructors
Constructor and Description
`BooleanPropertyExecutor(org.apache.commons.logging.Log rlog, Introspector is, java.lang.Class clazz, java.lang.String property)` Constructor.

### Method Summary

Methods
`protected void` `discover(java.lang.Class clazz, java.lang.String property)` Locate the getter method for this boolean property.

### Methods inherited from class org.apache.commons.jexl.util.PropertyExecutor

`execute`

### Methods inherited from class org.apache.commons.jexl.util.AbstractExecutor

`getMethod, isAlive`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BooleanPropertyExecutor

    public BooleanPropertyExecutor(org.apache.commons.logging.Log rlog,
                           Introspector is,
                           java.lang.Class clazz,
                           java.lang.String property)

Constructor.

Parameters:
  `rlog` - The instance log.
  `is` - The JEXL introspector.
  `clazz` - The class being analyzed.
  `property` - The boolean property.

### Method Detail

#### discover

    protected void discover(java.lang.Class clazz,
                java.lang.String property)

Locate the getter method for this boolean property.

Overrides:
  `discover` in class `PropertyExecutor`
Parameters:
  `clazz` - The class being analyzed.
  `property` - Name of boolean property.